Bug 1894238 (CVE-2020-27759) - CVE-2020-27759 ImageMagick: outside the range of representable values of type 'int' at MagickCore/quantize.c
Summary: CVE-2020-27759 ImageMagick: outside the range of representable values of type...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27759
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1901263 1901264 1910546
Blocks: 1891602
TreeView+ depends on / blocked
 
Reported: 2020-11-03 19:19 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-15 20:47 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 7.0.8-68
Doc Type: If docs needed, set a value
Doc Text:
In IntensityCompare() of /MagickCore/quantize.c, a double value was being casted to int and returned, which in some cases caused a value outside the range of type `int` to be returned. The flaw could be triggered by a crafted input file under certain conditions when processed by ImageMagick.
Clone Of:
Environment:
Last Closed: 2020-11-24 23:34:44 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-03 19:19:20 UTC
In ImageMagick, there is an outside the range of representable values of type 'int' at MagickCore/quantize.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1720

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/d44f8a35558951a21367d306a42e5a097f3a43fe

Comment 1 Guilherme de Almeida Suckevicz 2020-11-03 19:19:23 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 3 Todd Cullum 2020-11-04 20:28:04 UTC
Flaw summary:

In IntensityCompare() of /MagickCore/quantize.c, a double value was being casted to int and returned, which in some cases caused a value outside the range of type `int` to be returned. The flaw could be triggered by a crafted input file under certain conditions when processed by ImageMagick. Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.

Comment 4 Guilherme de Almeida Suckevicz 2020-11-24 19:22:41 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901263]
Affects: fedora-all [bug 1901264]

Comment 5 Product Security DevOps Team 2020-11-24 23:34:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27759

Comment 7 Eric Christensen 2021-02-15 20:47:01 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata.

Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.


Note You need to log in before you can comment on or make changes to this bug.